Bug 179218 - bluetooth mouse (HID) is not automatically recognized
bluetooth mouse (HID) is not automatically recognized
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2006-01-28 07:44 EST by Anton Keks
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-10 04:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anton Keks 2006-01-28 07:44:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
My bluetooth mouse (Trust MI-5300m, HID profile) is not automatically recognized anyhow.

To make it work, I have to everytime press the pairing button on the mouse after tunring it on, then executing either of the following (assuming that bluetooth service is started):

/usr/bin/hidd --search
/usr/bin/hidd --connect 00:0A:94:C1:3F:9B

where the second one is slightly faster (both calls result in a working mouse).

However, if the mouse is left unattended for some time or if it is turned off and back on, the whole procedure must be repeated, involving the pairing process again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
see above

Expected Results:  I expect that already paired mouse should start working automagically :-)

Additional info:
Comment 1 Anton Keks 2006-01-28 07:47:15 EST
It may probably involve running 

/usr/bin/hidd --server

on startup, can it be configured "the official way"?
Comment 2 David Woodhouse 2006-09-10 04:56:54 EDT
There's an init script which will run hidd for you at startup. That seems
sufficient for my own bluetooth mouse.

Note You need to log in before you can comment on or make changes to this bug.